Package com.evopdf

# Class EllipseElement

java.lang.Object
com.evopdf.PageElement
com.evopdf.PageGraphicElement
com.evopdf.EllipseElement

Direct Known Subclasses:
  `CircleElement`

public class EllipseElement extends PageGraphicElement
This class represents an ellipse element that can be added to a PDF document

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EllipseElement(float x, float y, float xRadius, float yRadius)`
  This constructor constructs an ellipse element at the given coordinates and having the given size

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setX(float x)`
  Sets the X coordinate of the ellipse center
  `void`
  `setXRadius(float xRadius)`
  Sets the horizontal radius
  `void`
  `setY(float y)`
  Sets the Y coordinate of the ellipse center
  `void`
  `setYRadius(float yRadius)`
  Sets the vertical radius
  `float`
  `x()`
  Gets the X coordinate of the ellipse center
  `float`
  `xRadius()`
  Gets the horizontal radius
  `float`
  `y()`
  Gets the Y coordinate of the ellipse center
  `float`
  `yRadius()`
  Gets the vertical radius

  ### Methods inherited from class com.evopdf.PageGraphicElement

  `backColor, blending, clipRectangle, foreColor, gradient, lineStyle, opacity, rotate, scale, setBackColor, setBlending, setClipRectangle, setForeColor, setGradient, setLineStyle, setOpacity, skew, translate`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EllipseElement

    public EllipseElement(float x, float y, float xRadius, float yRadius)
    This constructor constructs an ellipse element at the given coordinates and having the given size
    Parameters:
      `x` - The X coordinate where the ellipse will be rendered
      `y` - The Y coordinate where the ellipse will be rendered
      `xRadius` - The X radius of the ellipse
      `yRadius` - The Y radius of the ellipse

- ## Method Details

  - ### x

    public float x()
    Gets the X coordinate of the ellipse center
    Returns:
      the X coordinate of the ellipse center

  - ### setX

    public void setX(float x)
    Sets the X coordinate of the ellipse center
    Parameters:
      `x` - the X coordinate of the ellipse center to set

  - ### y

    public float y()
    Gets the Y coordinate of the ellipse center
    Returns:
      the Y coordinate of the ellipse center

  - ### setY

    public void setY(float y)
    Sets the Y coordinate of the ellipse center
    Parameters:
      `y` - the Y coordinate of the ellipse center to set

  - ### xRadius

    public float xRadius()
    Gets the horizontal radius
    Returns:
      the horizontal radius

  - ### setXRadius

    public void setXRadius(float xRadius)
    Sets the horizontal radius
    Parameters:
      `xRadius` - the horizontal radius to set

  - ### yRadius

    public float yRadius()
    Gets the vertical radius
    Returns:
      the vertical radius

  - ### setYRadius

    public void setYRadius(float yRadius)
    Sets the vertical radius
    Parameters:
      `yRadius` - the vertical radius to set